terça-feira, 26 de agosto de 2008

Apple, Microsoft and PHP são vulneráveis.

Como assim ?

A IBM divulgou uma lista com os 10 fornecedores mais vulneráveis. PHP é um fornecedor ??


Este artigo demostra mais uma vez o quanto as pessoas são desinformadas em relação ao PHP.

Já começa tratando PHP como um fornecedor, além disto, o PHP só foi classificado de tal forma por causa que o Joomla, Drupal e Wordpress apareceram nesta lista. Então, o PHP levou a culpda de ser inseguro por causa destes frameworks.

Seguindo a mesma linha de pensamento eu poderia concluir que C é mais inseguro que PHP, já que na continuação da lista há mais produtos feitos em C que em PHP. Mas isto seria injusto com a linguagem.

Eles também classificaram Linux como fornecedor.


Artigo traduzido do Planet PHP

Outro artigo semelhante é este aqui.

E para quem gosta do Eclipse PDT(versão para programar em PHP), eles acabaram de anunciar que sairá a nova versão do PDT em dezembro.

2 comentários:

Nina disse...

=)

Cleber disse...

Talvez o que a IBM queira dizer é que o PHP tem uma estrutura que não trate certos tipos de excessão (os bons phpinjects) que comprometem a segurança... Mas é estranho falar de "vendors" e usar PHP.